<?php

declare(strict_types=1);

namespace Drupal\data_pipelines_test;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceModifierInterface;

/**
 * Defines a service provider for data_pipelines_test.
 */
class DataPipelinesTestServiceProvider implements ServiceModifierInterface {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $container->getDefinition('data_pipelines.indexer')
      ->setClass(MemoryDatasetIndexer::class)
      ->setFactory(NULL)
      ->setPublic(TRUE);
  }

}
